Package org.eclipse.emf.compare.merge

## Interface IMergeCriterion

All Known Implementing Classes:
  `AdditiveMergeCriterion`

    public interface IMergeCriterion

Criterion for describing a merge operation.

Since:
  3.4

### Field Summary

Fields
`static IMergeCriterion` `NONE` Default criterion that means that no special criterion is set.
`static String` `OPTION_MERGE_CRITERION` Constant to use as key for the merge option that represents a merge criterion.

### Field Detail

#### OPTION_MERGE_CRITERION

    static final String OPTION_MERGE_CRITERION

Constant to use as key for the merge option that represents a merge criterion. This must be used as a key in the map of optinos available to mergers that implement `IMergeOptionAware`, so that mergers can propagate the criterion to the mergers they may invoke.

See Also:
  Constant Field Values

#### NONE

    static final IMergeCriterion NONE

Default criterion that means that no special criterion is set.